Skip to main content
PUT
/
legal_entities
/
{legalEntityId}
TypeScript
const response: Promise<FireblocksResponse<LegalEntityRegistration>> = fireblocks.compliance.updateLegalEntity(complianceApiUpdateLegalEntityRequest);
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "lei": "529900HNOAA1KXQJUQ27",
  "status": "PENDING",
  "isDefault": false,
  "travelRuleProviders": [
    "MY_OWN"
  ],
  "createdAt": "1700000000000",
  "updatedAt": "1700000000000",
  "travelRuleContactEmail": "compliance@example.com",
  "gleifData": {
    "lei": "529900HNOAA1KXQJUQ27",
    "legalName": "Example Corporation Ltd.",
    "legalAddressCountry": "US",
    "legalNameLanguage": "en",
    "otherNames": [
      {
        "name": "ExCorp",
        "language": "en"
      },
      {
        "name": "Example Corp",
        "language": "en"
      }
    ],
    "legalAddressRegion": "NY",
    "nextRenewalDate": "2025-12-31T00:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

The unique ID of the legal entity registration

Body

application/json
isDefault
boolean
required

Whether to set this registration as the workspace default

Response

Updated legal entity registration

Legal entity registration record

id
string<uuid>
required

Unique registration identifier

Example:

"550e8400-e29b-41d4-a716-446655440000"

lei
string
required

Legal Entity Identifier (LEI) code

Example:

"529900HNOAA1KXQJUQ27"

status
enum<string>
required

Approval status of a legal entity registration

Available options:
PENDING,
APPROVED,
DENIED,
REVOKED
isDefault
boolean
required

Whether this is the default legal entity for the workspace

Example:

false

travelRuleProviders
enum<string>[]
required

Travel rule providers configured for this registration

Maximum array length: 20

Travel rule compliance provider

Available options:
CODE,
GTR,
MY_OWN,
NOTABENE,
SYGNA,
SUMSUB,
TRISA,
TRUST,
TWENTY_ONE_ANALYTICS,
VERIFY_VASP
Example:
["MY_OWN"]
createdAt
string
required

Creation timestamp in milliseconds since epoch

Example:

"1700000000000"

updatedAt
string
required

Last update timestamp in milliseconds since epoch

Example:

"1700000000000"

travelRuleContactEmail
string<email>

Contact email for travel rule communications

Example:

"compliance@example.com"

gleifData
object

GLEIF (Global Legal Entity Identifier Foundation) data for a legal entity